CTP and SOATest compatibility

krishnasoakrishnasoa Posts: 13

Hi,
I'm using SOATest version 9.10.5. I wanted to place my .tst files in CTP. But I'm getting error. And this error is occurring when I'm trying to place suite designed with 9.10.5 version. Able to upload other suites into CTP. By any chance it might a compatibility issue between CTP and SOATest(9.10.5)

Comments

  • Matt LoveMatt Love Posts: 31 admin

    Hi Krishnasoa,

    Generally CTP is compatible with all SOAtest 9.9.x and 9.10.x versions. What specific version of CTP do you have? You can find version details under the top menu Help > About.

  • krishnasoakrishnasoa Posts: 13

    Hi @Matt Love

    We are using 3.0.2 version of CTP

  • benken_parasoftbenken_parasoft Posts: 728 ✭✭✭
    edited December 2018

    From CTP 3.0.2 docs:

    Parasoft Virtualize and/or SOAtest 9.8.3 or higher

  • Matt LoveMatt Love Posts: 31 admin

    Hi @krishnasoa

    Can you also check the version of the SOAtest server that is connected to CTP?
    Go to the API Testing > Test Scenarios page where you upload your .tst files. Select the top node in the tree on the left and look for the version information displayed in the center panel. It should look something like this.

  • krishnasoakrishnasoa Posts: 13

    Hi @Matt Love
    SOA Test server version is 9.10.2.20170502

  • Matt LoveMatt Love Posts: 31 admin

    Hi @krishnasoa

    You do not necessarily need to upgrade your CTP, but you must upgrade the SOAtest server that is connected to CTP to be greater than or equal to the version of the TST file that you want to upload. In your case this is SOAtest version 9.10.5. FYI, the latest versions available at the this time are CTP 3.1.2 and SOAtest 9.10.6.

  • krishnasoakrishnasoa Posts: 13

    Thanks @Matt Love. This info is very helpful

Sign In or Register to comment.